import java.util.Date;
import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.FlushModeType;
import javax.persistence.Persistence;
import javax.persistence.Query;

public class Main {
  static EntityManagerFactory emf = Persistence.createEntityManagerFactory("JPAService");

  static EntityManager em = emf.createEntityManager();

  public static void main(String[] a) throws Exception {
    em.getTransaction().begin();

    Query query = em.createQuery("SELECT DISTINCT d FROM Department d, Student e WHERE d = e.department");
    System.out.println(query.getResultList());

    em.getTransaction().commit();
    em.close();
    emf.close();

    Helper.checkData();
  }
}